<?php

namespace App\ViewModels\PagSeguro\PagSeguroResponseViewModel;

use App\Utils\Builder;

class PagSeguroPhonesViewModelBuilder implements Builder {
	protected $phones;

	public function build(): PagSeguroPhonesViewModel {

		$obj = new PagSeguroPhonesViewModel();

		$obj->setPhones( $this->phones );

		return $obj;

	}

	/**
	 *
	 * @param mixed $phones
	 */
	public function setPhones($phones) {

		$this->phones = $phones;
		return $this;

	}

}

